libnvme(2)

NAME
struct nvme_sanitize_nvm_args - Arguments for the NVMe Sanitize NVM command

SYNOPSIS
struct nvme_sanitize_nvm_args {
__u32 *result;
int args_size;
int fd;
__u32 timeout;
enum nvme_sanitize_sanact sanact;
__u32 ovrpat;
bool ause;
__u8 owpass;
bool oipbp;
bool nodas;
bool emvs;
};

Members

result
    The command completion result from CQE dword0

args_size
    Size of struct nvme_sanitize_nvm_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

sanact
    Sanitize action, see enum nvme_sanitize_sanact

ovrpat
    Overwrite pattern

ause
    Set to allow unrestricted sanitize exit

owpass
    Overwrite pass count

oipbp
    Set to overwrite invert pattern between passes

nodas
    Set to not deallocate blocks after sanitizing

emvs
    Set to enter media verification state